> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chataigne.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an organization



## OpenAPI

````yaml /api-reference/chataigne-v1.json patch /v1/organizations/{organization_id}
openapi: 3.0.0
info:
  title: Chataigne API
  description: The Chataigne API — Location & Organization Management.
  version: '2026-05-01'
  contact: {}
servers:
  - url: https://api.chataigne.ai
security: []
tags: []
paths:
  /v1/organizations/{organization_id}:
    patch:
      tags:
        - Organizations
      summary: Update an organization
      operationId: OrganizationsV1Controller_update
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
          example: org_02d224786a994d37a7e8a731
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOrganizationRequest'
      responses:
        '200':
          description: The updated organization.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Organization'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Authentication required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: The principal is not allowed to perform this request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: The resource does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - organization-api-key: []
components:
  schemas:
    UpdateOrganizationRequest:
      type: object
      properties:
        name:
          type: string
        ai_instructions:
          type: string
          nullable: true
    Organization:
      type: object
      properties:
        id:
          type: string
          example: org_02d224786a994d37a7e8a731
        object:
          type: string
          enum:
            - organization
        name:
          type: string
          example: Pokawa
        location_ids:
          type: array
          items:
            type: string
            example: loc_023d6847de544fdb9a5510db
        active_location_ids:
          type: array
          items:
            type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        locations:
          type: array
          description: Present only when `expand[]=locations`.
          items:
            $ref: '#/components/schemas/Location'
    Error:
      type: object
      properties:
        error:
          type: object
          required:
            - type
            - code
            - message
            - request_id
          properties:
            type:
              type: string
              enum:
                - invalid_request_error
                - authentication_error
                - authorization_error
                - not_found_error
                - conflict_error
                - rate_limit_error
                - idempotency_error
                - api_error
            code:
              type: string
              example: resource_missing
            message:
              type: string
            param:
              type: string
            request_id:
              type: string
              example: req_8f2c…
            details:
              type: object
              additionalProperties: true
    Location:
      type: object
      properties:
        id:
          type: string
          example: loc_023d6847de544fdb9a5510db
        object:
          type: string
          enum:
            - location
        organization_id:
          type: string
          nullable: true
        name:
          type: string
          example: Pokawa Châtelet
        currency:
          type: string
          example: EUR
        country:
          type: string
          example: FR
        timezone:
          type: string
          example: Europe/Paris
        default_language:
          type: string
          example: fr
        address:
          $ref: '#/components/schemas/Address'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    Address:
      type: object
      nullable: true
      properties:
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        postal_code:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        latitude:
          type: number
          nullable: true
        longitude:
          type: number
          nullable: true
  securitySchemes:
    organization-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: Location/organization API key.

````